## Turn off meaningless jar repackaging on SL6
%define __jar_repack 0

Name: argus-pep-common

Version: 2.3.0
Release: 1%{?dist}
Summary: Argus PEP client and server shared library

Group: System Environment/Libraries
License: ASL 2.0
URL: https://twiki.cern.ch/twiki/bin/view/EGEE/AuthorizationFramework

##Source: https://github.com/downloads/argus-authz/%{name}/%{name}-%{version}.tar.gz
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

BuildRequires: java-devel
BuildRequires: maven

Requires: java

%description 
Argus PEP client and PEP Server shared library.
The Argus Authorization Service renders consistent authorization 
decisions for distributed services (e.g., user interfaces, 
portals, computing elements, storage elements). The service is 
based on the XACML standard, and uses authorization policies to 
determine if a user is allowed or denied to perform a certain 
action on a particular service.

%prep
%setup -q

%build
export JAVA_HOME=/usr/lib/jvm/java
make package

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_datadir}/java
%{_datadir}/java/%{name}.jar
%{_datadir}/java/%{name}-%{version}.jar
%doc README.md doc/RELEASE-NOTES doc/COPYRIGHT doc/Hessian.LICENSE doc/LICENSE

%changelog
* Wed Nov 14 2012 Valery Tschopp <valery.tschopp@switch.ch> 2.3.0-1
- Upstream version 2.3.0 for EMI-3.

* Tue Jul 31 2012 Valery Tschopp <valery.tschopp@switch.ch> 2.2.1-1
- Self managed packaging with spec file.

* Tue Apr 3 2012 Valery Tschopp <valery.tschopp@switch.ch> 2.2.0-1
- Initial PEP Server and client library for EMI 2.


